use crate::vm::mem::DmAllocObject;
use std::rc::Rc;

#[derive(Debug, Clone, PartialEq)]
pub enum DvmValue {
    Byte(u8),
    Int(i32),
    Long(i64),
    Double(f64),
    Boolean(bool),
    Pointer(Rc<DmAllocObject>),
    Unit,
}
